Bug 1259226 - [abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Tubería rota
[abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Er...
Status: CLOSED DUPLICATE of bug 1255259
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ea7be0150a3a7b6334af26c4e56...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 05:04 EDT by Yonatan
Modified: 2015-11-06 11:30 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-29 03:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.65 KB, text/plain)
2015-09-02 05:04 EDT, Yonatan
no flags Details
File: environ (2.14 KB, text/plain)
2015-09-02 05:04 EDT, Yonatan
no flags Details

  None (edit)
Description Yonatan 2015-09-02 05:04:21 EDT
Version-Release number of selected component:
abrt-addon-ccpp-2.6.2-5.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -u /bin/abrt-action-install-debuginfo --size_mb=4096
executable:     /bin/abrt-action-install-debuginfo
kernel:         4.2.0-0.rc5.git0.2.fc23.i686
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
__init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Tubería rota

Traceback (most recent call last):
  File "/bin/abrt-action-install-debuginfo", line 242, in <module>
    result = downloader.download(missing, download_exact_files=exact_fls)
  File "/usr/lib/python3.4/site-packages/reportclient/debuginfo.py", line 320, in download
    self.initialize_repositories()
  File "/usr/lib/python3.4/site-packages/reportclient/dnfdebuginfo.py", line 95, in initialize_repositories
    self.base.fill_sack()
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 249, in fill_sack
    self._add_repo_to_sack(r.id)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 104, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 805, in load
    self._handle_load(handle)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 563, in _handle_load
    return self._handle_load_core(handle)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 576, in _handle_load_core
    result = handle.perform()
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 205, in perform
    return super(_Handle, self).perform(result)
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1425, in perform
    _librepo.Handle.perform(self, result)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 401, in _mirror_failure_cb
    logger.debug(msg)
  File "/usr/lib/python3.4/logging/__init__.py", line 1262, in debug
    self._log(DEBUG, msg, args, **kwargs)
  File "/usr/lib/python3.4/logging/__init__.py", line 1409, in _log
    self.handle(record)
  File "/usr/lib/python3.4/logging/__init__.py", line 1418, in handle
    if (not self.disabled) and self.filter(record):
  File "/usr/lib/python3.4/logging/__init__.py", line 706, in filter
    for f in self.filters:
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 383, in _progress_cb
    def _progress_cb(self, cbdata, total, done):
  File "/bin/abrt-action-install-debuginfo", line 46, in sigterm_handler
    clean_up()
TypeError: clean_up() missing 1 required positional argument: 'tmp_dir'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/abrt-action-install-debuginfo", line 244, in <module>
    error_msg_and_die("Can't download debuginfos: %s", ex)
  File "/usr/lib/python3.4/site-packages/reportclient/__init__.py", line 84, in error_msg_and_die
    sys.stderr.write("%s\n" % (fmt % args))
BrokenPipeError: [Errno 32] Tubería rota

Local variables in innermost frame:
fmt: "Can't download debuginfos: %s"
args: (TypeError("clean_up() missing 1 required positional argument: 'tmp_dir'",),)
Comment 1 Yonatan 2015-09-02 05:04:26 EDT
Created attachment 1069304 [details]
File: backtrace
Comment 2 Yonatan 2015-09-02 05:04:27 EDT
Created attachment 1069305 [details]
File: environ
Comment 3 Sergio Durán 2015-09-25 11:53:18 EDT
Another user experienced a similar problem:

I  only had it

reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --
event_log:      2015-09-25-10:52:00> ('report_uReport' completado con éxito)
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.2.1-300.fc23.i686
package:        abrt-addon-ccpp-2.6.2-7.fc23
reason:         __init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Tubería rota
runlevel:       N 5
type:           Python3
uid:            173
Comment 4 Matej Habrnal 2015-09-29 03:30:01 EDT
Thank you for the bug report. This particular bug has already been reported into our bug tracking system, but please feel free to report any further bugs you find.

*** This bug has been marked as a duplicate of bug 1255259 ***

Note You need to log in before you can comment on or make changes to this bug.